## org.jgroups
Class SetStateEvent

    java.lang.Object
      org.jgroups.SetStateEvent

    public class SetStateEvent

extends java.lang.Object

Encapsulates a state returned by `Channel.receive()`, as requested by `Channel.getState(s)` previously.

Author:
  Bela Ban

Constructor Summary
`SetStateEvent(byte[] state, java.lang.String state_id)`

Method Summary
`byte[]` `getArg()`
`java.lang.String` `getStateId()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SetStateEvent

    public SetStateEvent(byte[] state,
                         java.lang.String state_id)

Method Detail

### getArg

    public byte[] getArg()

### getStateId

    public java.lang.String getStateId()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.